.navvy{ float:right;margin-top:66px;padding-right:188px}

.nav-links{
	right:0px;		
	margin-top:-26px;
    display: flex;
    list-style: none; 
    width: 100%;
    align-items: center;
    text-transform: uppercase;
}

ul.nav-links li > ul {
    display: none;
    position: static;
}
ul.nav-links li:hover > ul {
    display: block;
	position:absolute;
	text-align: center;
	margin: 2px 0 0 9%;
    background:rgba(0,0,0,0.3);
	width:82%;
}

ul.nav-links li:hover > ul a {
    
	line-height: 40px;
}
ul.nav-links li:hover > ul a::before {
    
	display: none;
}

ul.nav-links:hover li > ul > li:hover {
    
    background:rgba(0,0,0,0.3);
}

/*Styling links animation*/

.nav-links li a{
  font-family: 'Montserrat', sans-serif;
  font-weight: 600;
  text-transform: uppercase;
  margin: 0 0 0 0.5vw;
  text-decoration: none;
  position: relative;
  color:#ffffff;
  padding: 13px;
  transition: all .2s ease;
}

.nav-links li a::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    display: block;
	background: rgba(255,255,255,0.1);
    border-radius: 22px;
    width: 44px;
    height: 44px;
    transition: all .3s ease;
}

.nav-links li span {
    position: relative;
    font-size: 14px;
    font-weight: 600;
    letter-spacing: .15em;
    vertical-align: middle;
}

.nav-links li a:hover {   
    color: rgba(93,58,139,1);
}

.nav-links li a:hover:before {
      width: 98%;
      background: rgba(255,255,255,0.5);
}



.cbp-af-header.cbp-af-header-shrink .nav-links li a{
  text-decoration: none;
  position: relative;
  color:rgba(93,58,139,1);
  margin: 0 0 0 0.5vw;
  padding: 13px;
  transition: all .2s ease;
}

.cbp-af-header.cbp-af-header-shrink .nav-links li a::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    display: block;
	background: rgba(167,142,200,0.3);
    border-radius: 22px;
    width: 44px;
    height: 44px;
    transition: all .3s ease;
}

.cbp-af-header.cbp-af-header-shrink .nav-links li span {
    position: relative;
    font-size: 14px;
    line-height: 18px;
    font-weight: 600;
    letter-spacing: .15em;
    vertical-align: middle;
}

.cbp-af-header.cbp-af-header-shrink .nav-links li a:hover:before {
      width: 98%;
      background: #a78ec8;
}

.cbp-af-header.cbp-af-header-shrink .nav-links li a:hover {
      
    color: rgba(255,255,255,1);
}

/*Styling Hamburger Icon*/

.hamburger div{
    width: 30px;
    height:3px;
    margin: 5px;
    transition: all 0.3s ease;
}
.hamburger{
    display: none;
}

/*Styling for small screens*/

@media screen and (max-width: 959px){
	
ul.nav-links li:hover > ul {
	margin: -2px 0 0 4%;
		width:92%;
    background:rgba(0,0,0,0.3);
}
	
ul.nav-links:hover li > ul > li:hover {
    
    background:rgba(0,0,0,0.3);
}
 
/*Styling Hamburger Icon*/

.hamburger div{
    background: #ffffff;
}
.hamburger{
        display:block;
        position: absolute;
        cursor: pointer;
        right: 10px;
        top: 40%;
	    padding-top:25px;
        transform: translate(-5%, -50%);
        z-index: 2;
        transition: all 0.7s ease;
    }
	
.cbp-af-header.cbp-af-header-shrink	.hamburger div{
    background: #724aa7;
}
	
/*Animating Hamburger Icon on Click*/

.toggle .line1{
    transform: rotate(-45deg) translate(-5px,6px); background-color: #724aa7;
}
.toggle .line2{
    transition: all 0.7s ease;
    width:0;
}
.toggle .line3{
    transform: rotate(45deg) translate(-5px,-6px); background-color: #724aa7;
}
	
/*mobile menu before scroll*/

.nav-links{
        padding: 72px 0;
		margin-top:-111px;
        position: fixed;
	    background:transparent;
		background:linear-gradient(45deg, transparent 75%, rgba(206,221,250,0.5) 100%);
        height: 110vh;
        width: 100%;
        flex-direction: column;
        clip-path: circle(50px at 90% -20%);
        -webkit-clip-path: circle(50px at 90% -10%);
        transition: all 1s ease-out;
        pointer-events: none;
    }
	
.nav-links.open{
		background:rgba(206,221,250,1);
        clip-path: circle(2000px at 90% -10%);
        -webkit-clip-path: circle(2000px at 90% -10%);
        pointer-events: all;
    }
	
.nav-links li {
        opacity: 0;
        padding: 22px 0;
    }
	
.nav-links li a::before{
    content: "";
    position: absolute;
	margin:0 auto;
    top: 0;
    left: 0;
    display: block;
	background: rgba(167,142,200,0.3);
    border-radius: 26px;
    width: 100%;
    height: 52px;
    transition: all .3s ease;
}	
	
.nav-links li a{
  text-decoration: none;
  color:rgba(93,58,139,1);
  padding: 17px;
  transition: all .2s ease;
}
	
	
.nav-links li span {
  text-align: center;
  font-size: 18px!important;
  position: relative;
  transition: all .2s ease;
}
	
.nav-links li a:hover:before {
      width: 100%;
      background: #a78ec8;
	text-align:center;
}

.nav-links li a:hover {  
    color: rgba(255,255,255,1);
}
	
	/*end mobile menu before scroll*/

	
	/*mobile menu after scroll*/

.cbp-af-header.cbp-af-header-shrink .nav-links li {
        padding: 22px 0;
    }
	
.cbp-af-header.cbp-af-header-shrink .nav-links li a::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    display: block;
	background: rgba(167,142,200,0.3);
    border-radius: 26px;
    width: 100%;
    height: 52px;
    transition: all .3s ease;
}	
	
.cbp-af-header.cbp-af-header-shrink .nav-links li a{
  text-decoration: none;
  position: relative;
  color:rgba(93,58,139,1);
  padding: 17px;
  transition: all .2s ease;
}
	
	
.cbp-af-header.cbp-af-header-shrink .nav-links li span {
  text-align: center;
  font-size: 18px!important;
  position: relative;
  transition: all .2s ease;
}
	
.cbp-af-header.cbp-af-header-shrink .nav-links li a:hover:before {
      width: 100%;
      background: #a78ec8;
}

.cbp-af-header.cbp-af-header-shrink .nav-links li a:hover {  
    color: rgba(255,255,255,1);
}
 
	/*end mobile menu after scroll*/

	
	
    .nav-links li:nth-child(1){
        transition: all 0.5s ease 0.1s;
    }
    .nav-links li:nth-child(2){
        transition: all 0.5s ease 0.2s;
    }
    .nav-links li:nth-child(3){
        transition: all 0.5s ease 0.3s;
    }
    .nav-links li:nth-child(4){
        transition: all 0.5s ease 0.4s;
    }
    .nav-links li:nth-child(5){
        transition: all 0.5s ease 0.5s;
    }
    .nav-links li:nth-child(6){
        transition: all 0.5s ease 0.6s;
        margin: 0;
    }
    .nav-links li:nth-child(7){
        transition: all 0.5s ease 0.7s;
        margin: 0;
    }
    li.fade{
        opacity: 1;
    }
}

@media screen and (max-width: 319px){


.hamburger{
	padding-top:18px;}

.nav-links li {
        padding: 19px 0;
    }
	
.nav-links{
        padding: 96px 0 0 0;
	}

}